/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2008-2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucoreerror
#define headerfilecmslucoreerror

#include <iostream>
#include "log.h"

#define WINIX_ERR_OK							0
//#define WINIX_ERR_INCORRECT_PATH				1

//#define WINIX_ERR_NO_POSTVAR					2
#define WINIX_ERR_INCORRECT_DIR					3
#define WINIX_ERR_CANT_CHANGE_USER				4
#define WINIX_ERR_CANT_CHANGE_GROUP				5
#define WINIX_ERR_CANT_CHANGE_PRIVILEGES		6
#define WINIX_ERR_PERMISSION_DENIED				7
#define WINIX_ERR_NO_ROOT_DIR					8
#define WINIX_ERR_NO_FUNCTION					9


#define WINIX_ERR_NO_ITEM						10
#define WINIX_ERR_UNKNOWN_PARAM					11

#define WINIX_ERR_MOUNT_UNKNOWN					12
#define WINIX_ERR_UNKNOWN_FILESYSTEM			13
#define WINIX_ERR_NO_MOUNTPOINT					14
//#define WINIX_ERR_MOUNT_NO_PARAM				15

#define WINIX_ERR_NO_THREAD						16
#define WINIX_ERR_EMPTY							17
#define WINIX_ERR_SPAM							18
#define WINIX_ERR_INCORRECT_REBUS				19



#define WINIX_ERR_NO_BOUNDARY					20
#define WINIX_ERR_BROKEN_INPUT					21
#define WINIX_ERR_INPUT_TOO_LARGE				22
#define WINIX_ERR_CANT_CREATE_FILE				23

#define WINIX_ERR_NO_TICKET						24

#define WINIX_ERR_PASSWORDS_DIFFERENT			25
#define WINIX_ERR_PASSWORD_TOO_SHORT			26
#define WINIX_ERR_USER_EXISTS					27
#define WINIX_ERR_LOGIN_EMPTY					28
#define WINIX_DIFFERENT_MOUNT_POINTS			29



#define WINIX_ERR_DB_FATAL_ERROR_DURING_CONNECTING	100
#define WINIX_ERR_DB_INCORRECT_QUERY			101
#define WINIX_ERR_DB_INCORRENT_RESULT_STATUS	102
#define WINIX_ERR_DB_NO_COLUMN					103
#define WINIX_ERR_DB_INCORRECT_LOGIN			104
#define WINIX_ERR_DB_MORE_THAN_ONE_LOGIN		105
#define WINIX_ERR_DB_ERR_CURRVAL				106

#define WINIX_ERR_FILE_EXPECTED					107
#define WINIX_ERR_DIR_EXPECTED					108

//#define WINIX_ERR_UNKNOWN						1000
#define WINIX_NOTHING_TO_DO						109

typedef int Error;



#endif
