/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentcreatethread
#define headerfilecmslucontentcreatethread

#include "functionbase.h"



namespace Fun
{


class CreateThread : public FunctionBase
{
public:

	CreateThread();
	bool HasAccess(bool check_root);
	bool HasAccess();
	void MakePost();

private:

	Thread thread;

	bool FunCreateThreadCheckAbuse();
	void ReadThread();
	void AddThread();
	void PostFunCreateThreadLogAndRedirect();
};


} // namespace

#endif
