/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentthread
#define headerfilecmslucontentthread

#include "functionbase.h"
#include "core/thread.h"


namespace Fun
{


class FunThread : public FunctionBase
{
public:

	FunThread();
	bool HasAccess();
	void Clear();
	void MakeGet();

	// current thread (if exists)
	bool is_thread;
	Thread thread;
	std::vector<Thread> thread_tab;

private:

	static bool FunThreadSort(const Thread & t1, const Thread & t2);
	void CreateSortIndexByDate();

};


} // namespace

#endif
