/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */

#ifndef headerfile_winix_db_dbitemcolumns
#define headerfile_winix_db_dbitemcolumns


#include <libpq-fe.h>
#include "core/item.h"




struct DbItemColumns
{
	int id;
	int user_id;
	int group_id;
	int privileges;
	int date_creation;
	int date_modification;
	int url;
	int type;
	int parent_id;
	int content_id;
	int default_item;
	int subject;
	int content;
	int content_type;
	int guest_name;
	int auth;
	int auth_path;
	int modification_user_id;
	int html_template;
 	
	void SetColumns(PGresult * r);
	void SetItem(PGresult * r, long row, Item & item);
};




#endif

