/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentrm
#define headerfilecmslucontentrm

#include "functionbase.h"



namespace Fun
{


class Rm : public FunctionBase
{
public:

	Rm();
	bool HasAccess();
	void MakeGet();

private:

	DbItemQuery rm_auth_iq;

	bool HasAccess(const Item & item);
	void RemoveAuthPrepareQuery();
	void RemoveAllDirs(long dir_id);
	void RemoveAllDirs();
	void RemoveDir();
	void RemoveAuth(Item & item);
	void RemoveFile();

};


} // namespace

#endif
