/*
 * This file is a part of Winix
 * and is not publicly distributed
 * 
 * Copyright (c) 2010, Tomasz Sowa
 * All rights reserved.
 * 
 */
 
#ifndef headerfilecmslucontentupload
#define headerfilecmslucontentupload

#include "functionbase.h"



namespace Fun
{


class Upload : public FunctionBase
{
public:

	Upload();
	bool HasAccess();
	void MakePost();

private:

	bool HasAccess(const Item & item);
	bool UploadCreatePath();
	void UploadSaveFile(const std::wstring & tmp_filename, const std::wstring & destination);
	bool FunUploadCheckAbuse();
	void UploadMulti();
	void UploadSingle();
};


} // namespace

#endif
