#ifndef headerfile_winix_plugins_ticket_ticketconf
#define headerfile_winix_plugins_ticket_ticketconf

#include <vector>
#include <string>




struct TicketConf
{
	struct TicketItem
	{
		struct Select
		{
			std::wstring name;
			int id;
		};


		TicketItem();
		void Clear();

		enum Type { TypeInteger, TypeSelect };

		int id;

		std::wstring name;
		Type type;

		// used when type is TypeInteger
		int integer_min, integer_max;

		// used when type is TypeSelect
		std::vector<Select> select;			
		size_t select_default;
	};

	typedef std::vector<TicketItem> Table;
	Table tab;

	void Clear();
};


#endif

